/** Action object interface */
interface Action {
  id: number;
  user: string;
  role: string;
  action: string;
  approval: boolean;
}

/** Area name object interface */
interface AreaName {
  name: string;
  locations: Array<string>;
}

/** Area type object interface */
interface AreaType {
  name: string;
  area: Array<string>;
}

/** Category object interface */
interface Category {
  name: string;
  products: Array<string>;
}

/** @exports */
export { Action, AreaName, AreaType, Category };
